Bug 33095 - Конфликт файлов с lua5.1-alt-compat при использовании rpm >= 4.13
Summary: Конфликт файлов с lua5.1-alt-compat при использовании rpm >= 4.13
Status: REOPENED
Alias: None
Product: Sisyphus
Classification: Development
Component: liblua5.1 (show other bugs)
Version: unstable
Hardware: all Linux
: P3 blocker
Assignee: viy
QA Contact: qa-sisyphus
URL:
Keywords:
: 34508 (view as bug list)
Depends on: 34619 36628
Blocks: 34231
  Show dependency tree
 
Reported: 2017-02-10 03:48 MSK by Andrew Kornilov
Modified: 2020-08-05 18:53 MSK (History)
9 users (show)

See Also:


Attachments
dist-upgrade до Sisyphus (23.52 KB, text/x-log)
2019-04-23 10:03 MSK, Egor Zotov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Kornilov 2017-02-10 03:48:09 MSK
Приветствую.

	файл /usr/lib64/lua/5.1 из устанавливаемого пакета liblua5.1-5.1.5-alt4.x86_64 конфликтует с файлом из пакета lua5.1-alt-compat-1.0-alt1.x86_64
	файл /usr/share/lua/5.1 из устанавливаемого пакета liblua5.1-5.1.5-alt4.x86_64 конфликтует с файлом из пакета lua5.1-alt-compat-1.0-alt1.x86_64

Возможно, это последствия перехода с p8 на Сизиф, но такого быть все равно не должно.
Comment 1 viy 2017-02-10 12:37:04 MSK
should be fixed in -alt5.
Comment 2 Andrew Kornilov 2017-02-20 01:17:53 MSK
А точно fixed?  Вот только что сделал update и честно пытался разными способами удалить compat и обновить liblua (легко не получается, apt хочет удалить массу всего, по одному пакету сохраняю)

Все равно: 
	файл /usr/lib64/lua/5.1 из устанавливаемого пакета liblua5.1-5.1.5-alt11.x86_64 конфликтует с файлом из пакета lua5.1-alt-compat-1.0-alt1.x86_64
	файл /usr/share/lua/5.1 из устанавливаемого пакета liblua5.1-5.1.5-alt11.x86_64 конфликтует с файлом из пакета lua5.1-alt-compat-1.0-alt1.x86_64
Comment 3 Vladimir D. Seleznev 2017-02-20 02:07:04 MSK
(В ответ на комментарий №2)
> А точно fixed?  Вот только что сделал update и честно пытался разными способами
> удалить compat и обновить liblua (легко не получается, apt хочет удалить массу
> всего, по одному пакету сохраняю)
> 
> Все равно: 
>     файл /usr/lib64/lua/5.1 из устанавливаемого пакета
> liblua5.1-5.1.5-alt11.x86_64 конфликтует с файлом из пакета
> lua5.1-alt-compat-1.0-alt1.x86_64
>     файл /usr/share/lua/5.1 из устанавливаемого пакета
> liblua5.1-5.1.5-alt11.x86_64 конфликтует с файлом из пакета
> lua5.1-alt-compat-1.0-alt1.x86_64

Интересно. Я делал тестовое окружение на p8 (среди пакетов которого был также luarocks) и успешно обновил его на текущий Сизиф.

Вы с p8 сейчас обновляетесь? Зарепортьте дополнительно список установленных пакетов, зависящих от lua5.1-alt-compat или /usr/lib64/lua/5.1, вместе с их версиями.
Comment 4 Andrew Kornilov 2017-02-20 13:55:19 MSK
(В ответ на комментарий №3)

> Интересно. Я делал тестовое окружение на p8 (среди пакетов которого был также
> luarocks) и успешно обновил его на текущий Сизиф.
> 
> Вы с p8 сейчас обновляетесь? Зарепортьте дополнительно список установленных
> пакетов, зависящих от lua5.1-alt-compat или /usr/lib64/lua/5.1, вместе с их
> версиями.

lua5.1-alt-compat никто не требует.
А вот /usr/lib64/lua/5.1  хотят следующие товарищи:

lua-module-luasocket-3.0rc1-alt1_lr1.x86_64
luarocks-2.2.0-alt1.rc1.x86_64
Comment 5 viy 2017-02-22 23:48:26 MSK
(In reply to comment #4)
> (В ответ на комментарий №3)
> 
> > Интересно. Я делал тестовое окружение на p8 (среди пакетов которого был также
> > luarocks) и успешно обновил его на текущий Сизиф.
> > 
> > Вы с p8 сейчас обновляетесь? Зарепортьте дополнительно список установленных
> > пакетов, зависящих от lua5.1-alt-compat или /usr/lib64/lua/5.1, вместе с их
> > версиями.
> 
> lua5.1-alt-compat никто не требует.
> А вот /usr/lib64/lua/5.1  хотят следующие товарищи:
> 
> lua-module-luasocket-3.0rc1-alt1_lr1.x86_64
> luarocks-2.2.0-alt1.rc1.x86_64

Спасибо. Это как раз их осталось пересобрать, тогда, надеюсь, проблема уйдет.
Comment 6 Vladimir D. Seleznev 2017-02-23 00:33:27 MSK
(В ответ на комментарий №5)
> (In reply to comment #4)
> > (В ответ на комментарий №3)
> > lua-module-luasocket-3.0rc1-alt1_lr1.x86_64
> > luarocks-2.2.0-alt1.rc1.x86_64
> 
> Спасибо. Это как раз их осталось пересобрать, тогда, надеюсь, проблема уйдет.

Я не понимаю, почему тогда я с этими пакетами без проблем обновляю p8 на Sisyphus.
Comment 7 Andrew Kornilov 2017-02-23 02:05:07 MSK
(В ответ на комментарий №6)

> Я не понимаю, почему тогда я с этими пакетами без проблем обновляю p8 на
> Sisyphus.
Я тоже не понимаю. Пробовал уже массу вариантов по одному пакету, по несколько, удалять/ставить и т.п.  и все равно apt хочет все или снести или не хочет ставить.
Вот простейший пример:

Следующие пакеты будут ОБНОВЛЕНЫ:
  i586-liblua5.1.32bit liblua5.1
Следующие пакеты будут УДАЛЕНЫ:
  lua5.1-alt-compat
Следующие НОВЫЕ пакеты будут установлены:
  liblua5.1-preinstall
2 будет обновлено, 1 новых установлено, 1 пакетов будет удалено и 413 не будет обновлено.
Необходимо получить 0B/194kB архивов.
После распаковки будет освобождено 26B дискового пространства.
Продолжить? [Y/n] y
Совершаем изменения...
Подготовка...                           ################################################### [100%]
	файл /usr/lib64/lua/5.1 из устанавливаемого пакета liblua5.1-5.1.5-alt11.x86_64 конфликтует с файлом из пакета lua5.1-alt-compat-1.0-alt1.x86_64
	файл /usr/share/lua/5.1 из устанавливаемого пакета liblua5.1-5.1.5-alt11.x86_64 конфликтует с файлом из пакета lua5.1-alt-compat-1.0-alt1.x86_64
Comment 8 Andrew Kornilov 2017-02-28 00:58:12 MSK
Вручную уже вывел на такую ситуацию:

Следующие пакеты будут ОБНОВЛЕНЫ:
  gnome-shell-extension-gpaste gpaste i586-liblua5.1.32bit libgpaste libgpaste-gir liblua5.1
Следующие пакеты будут УДАЛЕНЫ:
  lua5.1-alt-compat totem-video-thumbnailer
Следующие НОВЫЕ пакеты будут установлены:
  liblua5.1-preinstall


Но все равно:
Подготовка...                           ################################# [100%]
	файл /usr/lib64/lua/5.1 из устанавливаемого пакета liblua5.1-5.1.5-alt11.x86_64 конфликтует с файлом из пакета lua5.1-alt-compat-1.0-alt1.x86_64
	файл /usr/share/lua/5.1 из устанавливаемого пакета liblua5.1-5.1.5-alt11.x86_64 конфликтует с файлом из пакета lua5.1-alt-compat-1.0-alt1.x86_64


Такое ощущение, что apt не понимает, что compat будет удален перед установкой остального.
Comment 9 Andrew Kornilov 2017-02-28 01:01:12 MSK
Такие же чудеса стали и с другим пакетом:

Подготовка...                           ################################# [100%]
	файл /usr/lib/python2.7/site-packages/six-1.10.0-py2.7.egg-info из устанавливаемого пакета python-module-six-1.10.0-alt2.noarch конфликтует с файлом из пакета python-module-six-1.10.0-alt1.noarch
	файл /usr/lib/python3/site-packages/six-1.10.0-py3.5.egg-info из устанавливаемого пакета python3-module-six-1.10.0-alt2.noarch конфликтует с файлом из пакета python3-module-six-1.10.0-alt1.noarch


То есть, alt1->alt2 уже не апгрейдится. Это никак не связано с версиями и прочими set в rpm наших?
Comment 10 Vladimir D. Seleznev 2017-02-28 06:27:47 MSK
(В ответ на комментарий №9)
> Такие же чудеса стали и с другим пакетом:
> 
> Подготовка...                           #################################
> [100%]
>     файл /usr/lib/python2.7/site-packages/six-1.10.0-py2.7.egg-info из
> устанавливаемого пакета python-module-six-1.10.0-alt2.noarch конфликтует с
> файлом из пакета python-module-six-1.10.0-alt1.noarch
>     файл /usr/lib/python3/site-packages/six-1.10.0-py3.5.egg-info из
> устанавливаемого пакета python3-module-six-1.10.0-alt2.noarch конфликтует с
> файлом из пакета python3-module-six-1.10.0-alt1.noarch
> 
> 
> То есть, alt1->alt2 уже не апгрейдится. Это никак не связано с версиями и
> прочими set в rpm наших?

Там другая проблема, не связанная с lua:

https://bugzilla.altlinux.org/show_bug.cgi?id=33167
https://lists.altlinux.org/pipermail/devel/2017-February/202387.html
Comment 11 Andrew Kornilov 2017-02-28 10:41:09 MSK
(В ответ на комментарий №10)
>
> 
> Там другая проблема, не связанная с lua:
> 
> https://bugzilla.altlinux.org/show_bug.cgi?id=33167
> https://lists.altlinux.org/pipermail/devel/2017-February/202387.html


Что же тогда с lua?
Comment 12 Andrew Kornilov 2017-03-08 01:46:05 MSK
В общем, ничего не помогало. Удалил compat через rpm с --no-deps и поставил уже остальное.
Comment 13 Vladimir D. Seleznev 2018-02-07 02:29:40 MSK
*** Bug 34508 has been marked as a duplicate of this bug. ***
Comment 14 ildar 2018-03-13 10:19:47 MSK
Странно, что меня сюда не позвали, хотя я являюсь автором lua5.1-alt-compat (поэтому шишки полагаются мне :))
1. зависимость /usr/lib64/lua/5.1 я считаю хорошей и логичной
2. Почему не обновлялось, не знаю, Игорь, кажется, всё хорошо сделал с preinstall
3. Похоже, решать тут больше нечего. Пора закрывать?
Comment 15 Anton Farygin 2018-03-13 12:04:34 MSK
Конфликты между пакетами прописаны ? Всё же воспроизводится до сих пор ?
Comment 16 Egor Zotov 2018-03-13 13:58:23 MSK
Не воспроизводится, все нормально обновляется.
Comment 17 Egor Zotov 2018-03-29 13:27:25 MSK
Сейчас опять возникает ошибка при обновлении с p8 до Сизиф: 
      
 файл /usr/lib64/lua/5.1 из устанавливаемого пакета liblua5.1-5.1.5-alt15.x86_64 конфликтует с файлом из пакета lua5.1-alt-compat-1.0-alt1.x86_64
       
 файл /usr/share/lua/5.1 из устанавливаемого пакета liblua5.1-5.1.5-alt15.x86_64 конфликтует с файлом из пакета lua5.1-alt-compat-1.0-alt1.x86_64
Comment 18 ildar 2018-04-02 07:32:55 MSK
Егор, можно логи?
На всякий случай напомню: https://www.altlinux.org/Tips#.D0.9E.D1.82.D0.BB.D0.B0.D0.B4.D0.BA.D0.B0_.D0.BE.D0.B1.D0.BD.D0.BE.D0.B2.D0.BB.D0.B5.D0.BD.D0.B8.D1.8F
Comment 19 ildar 2019-04-23 08:43:39 MSK
больше года с последней активности. Егор, закрываем?
Comment 20 Egor Zotov 2019-04-23 10:03:50 MSK
Created attachment 8110 [details]
dist-upgrade до Sisyphus
Comment 21 Egor Zotov 2019-04-23 10:05:02 MSK
Во вложении выше лог вывода команды:
apt-get dist-upgrade --force-yes -o Debug::pkgProblemResolver=yes -o Debug::pkgRemoveDepends=yes -o Debug::pkgMarkInstall=yes


Investigating liblua5.1-preinstall
Package liblua5.1-preinstall has broken dep on lua5.1-alt-compat
  Considering lua5.1-alt-compat 0 as a solution to liblua5.1-preinstall 5
  Added lua5.1-alt-compat to the remove list
  Fixing liblua5.1-preinstall via remove of lua5.1-alt-compat
Comment 22 Anton Farygin 2019-04-23 10:17:46 MSK
Это какая-то другая проблема. Сейчас невозможно понять какая, т.к. обновление до сизифа с p8 сломано. Но с lua всё-таки должно быть починено.
Comment 23 Dmitry V. Levin 2019-04-23 10:21:45 MSK
Свежая информация от Андрея:
"Попытка обновления 64-битного Альт Рабочая станция, Альт Образование и
Альт Сервер (после успешной установки пакетов rpm apt):

Совершаем изменения...
Подготовка...
#############################################################################
[100%]
       	файл /usr/lib64/lua/5.1 из устанавливаемого пакета
liblua5.1-5.1.5-alt15.x86_64 конфликтует с файлом из пакета
lua5.1-alt-compat-1.0-alt1.x86_64
       	файл /usr/share/lua/5.1 из устанавливаемого пакета
liblua5.1-5.1.5-alt15.x86_64 конфликтует с файлом из пакета
lua5.1-alt-compat-1.0-alt1.x86_64
E: Ошибка во время исполнения транзакции"
Comment 24 Anton Farygin 2019-04-23 10:22:55 MSK
Интересно, что-то новенькое. Я прямо на днях обновлял без проблем. 
Сейчас проверю.
Comment 25 Anton Farygin 2019-04-23 10:46:30 MSK
Проверил ещё раз. При обновлнии:

Следующие пакеты будут УДАЛЕНЫ:
  gimagereader-qt4 libopencv2.4 lua5.1-alt-compat mate-file-manager-actions mintmenu python3-module-yieldfrom.requests virtualbox-guest-additions
  xorg-drv-nv xorg-drv-vboxvideo


Обновление с p8 до Sisyphus для рабочей станции 8.2 проходит, конфликты только у Systemd и ConsoleKit, которые чинятся простым удалением ConsoleKit2

Обновлялся так:
dist-upgrade до свежего p8
правим sources.list на Sisyphus
dist-upgrade до Sisyphus без промежуточной установки rpm.
Comment 26 Anton Farygin 2019-04-23 10:51:19 MSK
С промежуточной установкой rpm:

[root@work-8-2-x86-64-default ~]# apt-get install apt rpm
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Следующие дополнительные пакеты будут установлены:
  apt-rsync libapt liblua5.3 libreadline7 librpm7 synaptic
Следующие пакеты будут ОБНОВЛЕНЫ:
  apt apt-rsync libapt rpm synaptic
Следующие пакеты будут УДАЛЕНЫ:
  apt-indicator librpm librpmbuild
Следующие НОВЫЕ пакеты будут установлены:
  liblua5.3 libreadline7 librpm7
5 будет обновлено, 3 новых установлено, 3 пакетов будет удалено и 1328 не будет обновлено.
Необходимо получить 0B/2943kB архивов.
После распаковки потребуется дополнительно 3178kB дискового пространства.
Продолжить? [Y/n] 
Совершаем изменения...  
Preparing...                                       ################################################################################################### [100%]
1: liblua5.3                                       ################################################################################################### [ 12%]
2: librpm7                                         ################################################################################################### [ 25%]
3: libapt                                          ################################################################################################### [ 37%]
4: rpm                                             ################################################################################################### [ 50%]
5: libreadline7                                    ################################################################################################### [ 62%]
6: apt                                             ################################################################################################### [ 75%]
7: apt-rsync                                       ################################################################################################### [ 87%]
8: synaptic                                        ################################################################################################### [100%]
Running /usr/lib/rpm/posttrans-filetriggers
Завершено.

# apt-get dist-upgrade 
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Подсчет обновлений... Завершено
Следующие пакеты будут ОБНОВЛЕНЫ:
  ImageMagick-tools LibreOffice-common LibreOffice-integrated LibreOffice-langpack-ru ModemManager NetworkManager NetworkManager-adsl
  NetworkManager-applet-gtk NetworkManager-bluetooth NetworkManager-daemon NetworkManager-l2tp NetworkManager-l2tp-gtk NetworkManager-openvpn
  NetworkManager-openvpn-gtk NetworkManager-ppp NetworkManager-pptp NetworkManager-pptp-gtk NetworkManager-vpnc NetworkManager-vpnc-gtk NetworkManager-wifi
  NetworkManager-wwan accountsservice acl agetty alsa-plugins-pulse alsa-utils alt-gpgkeys alterator alterator-auth alterator-backend-x11
  alterator-browser-gui-common alterator-browser-qt5 alterator-datetime alterator-grub alterator-l10n alterator-logs alterator-lookout alterator-luks
  alterator-net-eth alterator-net-iptables alterator-net-openvpn alterator-net-pppoe alterator-net-pptp alterator-net-wifi alterator-service-functions
  alterator-standalone alterator-sysconfig alterator-updates alterator-x11 alterator-xkb alternatives altlinux-freedesktop-menu-common
  altlinux-freedesktop-menu-shallow-menu altlinux-mime-defaults amixer aplay arj at-spi2-atk at-spi2-core ath_info autofs avahi-autoipd avahi-daemon
  avahi-tools bash bash-completion bash-completion-systemd bc beesu bind-utils binutils blueberry bluez bluez-tools bootloader-utils bzip2 bzlib c2070
  ca-certificates cabextract card-actions cert-sh-functions cheese chrooted cifs-utils colord common-licenses compiz console-scripts console-vt-tools
  control coreutils cpp5 cpu-x cpupower cracklib cracklib-utils cracklib-words crda cryptsetup cups cups-filters cups-filters-libs cups-pdf curl dbus
  dbus-tools dbus-tools-gui dconf dconf-editor desktop-file-utils dhcpcd dia dialog diffutils dm-tool dmeventd dmraid dmsetup dnsmasq docs-alt-workstation
  dosfstools dvd+rw-tools e2fsprogs edk2-efi-shell eepm efibootmgr elilo epson-inkjet-printer-escpr etcnet etcnet-defaults-server etcskel ethtool fdisk
  filesystem findutils firefox-esr firefox-esr-ru firmware-intel-ucode firmware-linux fontconfig fonts-bitmap-terminus fonts-bitmap-wqy
  fonts-otf-adobe-source-code-pro fonts-otf-adobe-source-sans-pro fonts-otf-mathjax-ams fonts-otf-mathjax-caligraphic fonts-otf-mathjax-fraktur
  fonts-otf-mathjax-main fonts-otf-mathjax-math fonts-otf-mathjax-sansserif fonts-otf-mathjax-script fonts-otf-mathjax-size1 fonts-otf-mathjax-size2
  fonts-otf-mathjax-size3 fonts-otf-mathjax-size4 fonts-otf-mathjax-typewriter fonts-otf-mathjax-winchrome fonts-otf-mathjax-winie6 fonts-otf-mozilla-fira
  fonts-ttf-google-croscore-arimo fonts-ttf-google-croscore-common fonts-ttf-google-croscore-cousine fonts-ttf-google-croscore-tinos
  fonts-ttf-google-crosextra-caladea fonts-ttf-google-crosextra-carlito fonts-ttf-google-droid-sans fonts-ttf-google-droid-sans-mono
  fonts-ttf-google-droid-serif fonts-ttf-liberation fonts-ttf-ubuntu-font-family foo2zjs foo2zjs-PPD foomatic-db foomatic-db-foo2zjs fortune fortune-mod
  fortunes frei0r-plugins ftplib fuse fuse-gvfs gamin gawk gcc-common gcr gcr-libs geoclue2 getopt gettext ghostscript ghostscript-classic
  ghostscript-common gimagereader-common gksu glib-networking glib2 glib2-locales glibc-core glibc-gconv-modules glibc-locales glibc-nss glibc-preinstall
  glibc-pthread glibc-timezones glibc-utils glxgears glxinfo gnome-bluetooth gnome-keyring gnome-online-accounts gnome-pty-helper gnupg gnupg2
  gobject-introspection gobject-introspection-x11 gparted gpgme-common gpm grep groff-base grub-common grub-efi grub-pc gsettings-desktop-schemas
  gsettings-desktop-schemas-data gst-libav gst-plugins-bad1.0 gst-plugins-base1.0 gst-plugins-good1.0 gst-plugins-ugly1.0 gstreamer1.0 gtk-update-icon-cache
  gtk2-theme-clearlooks gtk2-theme-crux gtk2-theme-industrial gtk2-theme-mist gtk2-theme-thinice gucharmap guile18 gutenprint gutenprint-cups gvfs
  gvfs-backend-admin gvfs-backend-afc gvfs-backend-afp gvfs-backend-cdda gvfs-backend-dnssd gvfs-backend-goa gvfs-backend-google gvfs-backend-mtp
  gvfs-backend-nfs gvfs-backend-recent-files gvfs-backend-smb gvfs-backends gzip gzip-utils hddtemp hdparm hunspell-en hunspell-ru-lebedev hwclock
  i586-glibc-core.32bit i586-glibc-pthread.32bit i586-libblkid.32bit i586-libgcc1.32bit i586-libmount.32bit i586-libpcre3.32bit i586-libselinux.32bit
  i586-libudev1.32bit i586-libusb.32bit i586-libuuid.32bit iceauth icon-theme-adwaita iconv ifrename info info-install inxi iproute2 iptables iputils
  iso-codes iucode_tool java-1.8.0-openjdk java-1.8.0-openjdk-headless javapackages-tools kbd kbd-data keyutils kinit-utils kmod krb5-kinit
  krb5-ticket-watcher less libConsoleKit2 libEGL libGL libGLES libHX libSDL libSM libX11 libX11-locales libXScrnSaver libXau libXcomposite libXcursor
  libXdamage libXdmcp libXext libXfixes libXfont libXfont2 libXft libXi libXinerama libXmu libXpm libXrandr libXres libXv libXvMC libXxf86dga libXxf86misc
  libXxf86vm liba52 libaacs libabw libaccountsservice libacl libalsa libapm libappindicator libarchive13 libaspell libassuan libat-spi2-core libatk
  libatk-gir libatk-locales libatkmm libatm libattr libaudit1 libavahi libavahi-glib libbasicobjects libbind libblacs libblkid libbluez libbluray libcairo
  libcairo-gobject libcairomm libcanberra libcanberra-gtk2 libcanberra-gtk3 libcap libcap-ng libcap-utils libcares libcdio libcdio-paranoia libcdparanoia
  libcdr libcheese libclucene-contribs-lib libclucene-core libclucene-shared libclutter libclutter-gst3.0 libclutter-gtk3 libcmis libcogl libcollection
  libcolord libcom_err libcpuid libcpupower libcroco libcrypto-LibreSSL libcrypto10 libcryptsetup libcups libcurl libdapl libdatrie libdb4.7 libdbus
  libdc1394-22 libdca0 libdconf libdevmapper libdevmapper-event libdhash libdialog libdmx libdrm libdv libdvbpsi10 libe-book libe2fs libebml libedit3
  libefivar libelf libenca libenchant2 libepoxy libepubgen libetonyek libevdev libexempi libexpat libexttextcat libfaad2 libfdisk libffi6 libfftw3
  libfftw3-common libfftw3f libflac8 libfluidsynth libfontenc libfreehand libfreetype libfribidi libfuse libgadu libgail libgamin libgavl libgbm libgcc1
  libgcrypt20 libgdata libgdk-pixbuf libgdk-pixbuf-gir libgdk-pixbuf-locales libgfortran3 libgimp libgio libgksu libglibmm libgmime3.0 libgmp10
  libgnome-bluetooth libgnome-bluetooth-gir libgnome-desktop3 libgnome-keyring libgnome-keyring-gir libgnome-online-accounts libgnutls30 libgomp1
  libgpg-error libgpgme11 libgpgmepp6 libgphoto2-6 libgphoto2_port-12 libgpm libgraphite2 libgraphviz libgs libgsm libgssdp libgst-plugins1.0
  libgst-plugins1.0-gir libgstreamer1.0 libgstreamer1.0-gir libgtk+2 libgtk+2-gir libgtk+2-locales libgtk+3 libgtk+3-gir libgtk+3-schemas
  libgtk-engine-glide libgtk-engine-hc libgtk-engine-redmond libgtk-engines-default libgtk-engines-default-common libgtk2-engine-adwaita libgtkglext
  libgtkmm2 libgtkmm3 libgtksourceview libgtkspell libgtop libgts libgucharmap libgudev libguile-vhttpd libgupnp libgupnp-igd libgusb libgutenprint libgxps
  libharfbuzz libharfbuzz-icu libhogweed4 libhttp-parser libhunspell libibverbs libical libidn libidn2 libieee1284 libijs libilmimf22 libimobiledevice
  libindicator libini_config libinput libiptables libjack libjansson libjasper libjavascriptcoregtk2 libjavascriptcoregtk4 libjpeg libjson-glib libkate
  libkeymap libkeyutils libkmod libkrb5 libksba liblame liblangtag liblapack liblash liblcms2 libldap libldb libleptonica liblightdm-gobject liblirc
  liblive555 liblksctp liblockdev liblpsolve liblrdf libltdl7 liblua5.1 liblvm2 liblz4 liblzma liblzo2 libmarco-private libmate-desktop libmate-menus
  libmatekbd libmatemixer libmateweather libmateweather-data libmatroska libmbim-glib libmdbtools libmeanwhile libmetacity3.0 libmetis libminizip
  libmjpegtools2.1 libmm-glib libmng libmnl libmodplug libmount libmpc3 libmpg123 libmspub libmtdev libmtp9 libmumps libmwaw libmythes libncurses
  libncurses-devel libncursesw libndp libneon libnet-snmp30 libnetapi libnetfilter_conntrack libnetlink libnettle6 libnfnetlink libnfs libnfsidmap
  libnghttp2 libnice libnl3 libnm libnma libnotify libnotify-gir libnpth libnspr libnss libnss-myhostname libnss-role libntfs-3g libnumpy libodfgen libofa
  libogg libopenal1 libopenblas libopencore-amrnb0 libopencore-amrwb0 libopenct libopenjpeg2.0 libopensc libopus liborc liborcus libotr5 libp11 libp11-kit
  libpagemaker libpam0 libpango libpango-gir libpangomm libpaper libparted libpasswdqc libpath_utils libpcap0.8 libpci libpciaccess libpcre16 libpcre2
  libpcre3 libpcsclite libpipeline libpixman libpkcs11-helper libplist libplymouth libplymouth-graphics libpng12 libpng15 libpolkit libpolkit-gir
  libpoppler4-qt4 libpoppler72 libpoppler8-glib libpopt libprotobuf-c1 libproxy libpsl libpulseaudio libpurple libpwquality libpython libpython3 libqmi-glib
  libqt4-clucene libqt4-core libqt4-dbus libqt4-declarative libqt4-designer libqt4-gui libqt4-help libqt4-location libqt4-multimedia libqt4-network
  libqt4-opengl libqt4-script libqt4-scripttools libqt4-sensors libqt4-sql libqt4-svg libqt4-test libqt4-webkit libqt4-xml libqt4-xmlpatterns
  libqt5-bluetooth libqt5-core libqt5-dbus libqt5-designer libqt5-eglfsdeviceintegration libqt5-eglfskmssupport libqt5-gui libqt5-help libqt5-location
  libqt5-multimedia libqt5-network libqt5-nfc libqt5-opengl libqt5-positioning libqt5-printsupport libqt5-qml libqt5-quick libqt5-quickcontrols2
  libqt5-quicktemplates2 libqt5-quickwidgets libqt5-sensors libqt5-serialport libqt5-sql libqt5-svg libqt5-test libqt5-webchannel libqt5-webengine
  libqt5-webenginecore libqt5-webenginewidgets libqt5-webkit libqt5-webkitwidgets libqt5-websockets libqt5-widgets libqt5-x11extras libqt5-xcbqpa libqt5-xml
  libqt5-xmlpatterns libqtspell-qt4 libquadmath0 libquvi-scripts0.9 libquvi0.9 libqxp librasqal3 libraw1394-11 librdmacm libre2 libreadline5 libredland
  libref_array librest librevenge librsvg librtpkcs11ecp libsane libsasl2-3 libsasl2-plugin-gssapi libsbc libscalapack libschroedinger libscotch libsecret
  libsecret-gir libselinux libsemanage libsensors3 libsepol libshell libsigc++2 libslang2 libsmartcols libsmbclient libsnappy libsndfile libsoundtouch
  libsoup libsoup-gnome libsoxr libspectre libspeex libspeexdsp libsqlite3 libss libssh2 libssl10 libsss_certmap libsss_idmap libsss_nss_idmap libstaroffice
  libstdc++6 libsuitesparse libsystemd libtag libtalloc libtasn1 libtasn1-utils libtbb libtcb libtcl libtdb libtelepathy-glib libtevent libthai libtheora
  libtic libtiff5 libtinfo libtinfo-devel libtirpc libtotem-pl-parser libucil libudev1 libudisks2 libunicap libunistring2 libunwind libupower libusb libuu
  libuuid libv4l libva libvdpau libverto libvhttpd libvisio libvlc libvo-amrwbenc libvorbis libvte libvulkan1 libwacom libwacom-data libwavpack
  libwayland-client libwayland-cursor libwayland-egl libwayland-server libwbclient libwebkit2gtk libwebkitgtk2 libwebp6 libwebp7 libwireless libwmflite
  libwnck3 libwoff2 libwpd10 libwpg libwps libx264 libxapian libxar libxatracker libxblas libxcb libxcb-render-util libxfs libxkbcommon libxkbcommon-x11
  libxkbfile libxml2 libxmlsec1 libxmlsec1-nss libxshmfence libxslt libxvid libyelp libzbar libzio libzmf libzpaq libzstd libzvbi lightdm
  lightdm-gtk-greeter lksctp-tools lm_sensors3 login logrotate losetup lsblk lua-module-luasocket luarocks lvm2 lzip lziprecover lzlib lzop make make-initrd
  make-initrd-devmapper make-initrd-luks make-initrd-lvm make-initrd-mdadm make-initrd-plymouth make-initrd-ucode mate-applets mate-backgrounds mate-calc
  mate-control-center mate-default mate-desktop mate-dictionary mate-disk-usage-analyzer mate-document-viewer mate-document-viewer-caja
  mate-document-viewer-djvu mate-document-viewer-dvi mate-document-viewer-pixbuf mate-document-viewer-thumbnailer mate-document-viewer-xps
  mate-file-archiver mate-file-manager mate-file-manager-extensions mate-file-manager-extensions-common mate-file-manager-image-converter
  mate-file-manager-open-terminal mate-file-manager-schemas mate-file-manager-sendto mate-file-manager-share mate-file-manager-wallpaper mate-icon-theme
  mate-image-viewer mate-media mate-menu-editor mate-menus mate-minimal mate-notification-daemon mate-panel mate-polkit mate-power-manager mate-screensaver
  mate-screenshot mate-search-tool mate-session mate-settings-daemon mate-system-log mate-system-monitor mate-terminal mate-text-editor mate-themes
  mate-user-guide mate-utils mate-utils-common mate-window-manager mathjax mc mdadm mdbtools memtest86+ mingetty mint-translations mkfontscale
  mobile-broadband-provider-info mount mpage mtr nano net-tools netpbm nfs-clients nfs-utils notify-send nscd nss-ldapd nss-utils nss_tcb ntfs-3g
  open-vm-tools openct openexr22-common openldap openldap-clients openmpi openntpd openresolv openresolv-dnsmasq opensc openssh openssh-askpass-common
  openssh-clients openssh-common openssh-server openssh-server-control openssl openssl-engines openvpn os-prober p7zip packageinstall pam pam-ck-connector2
  pam0_console pam0_passwdqc pam0_tcb pam0_timestamp pam_ccreds pam_gnome-keyring pam_krb5 pam_mount pam_p11 pam_pkcs11 pam_systemd parted passwd
  passwdqc-control passwdqc-utils pavucontrol pax pbm2l2030 pbm2l7k pciutils pcsc-lite pcsc-lite-acsccid pcsc-lite-ccid pcsc-lite-openct pcsc-lite-rutokens
  pcsc-tools perl-Compress-Raw-Bzip2 perl-Compress-Raw-Zlib perl-Encode perl-HTML-Parser perl-HTTP-Cookies perl-HTTP-Message perl-IO-Compress
  perl-IO-Socket-IP perl-LWP-MediaTypes perl-Net-HTTP perl-URI perl-XML-LibXML perl-XML-NamespaceSupport perl-XML-SAX perl-XML-SAX-Base perl-XML-Simple
  perl-base perl-libnet perl-libwww perl-parent perl-pcsc pidgin pigz pinentry-common pinentry-qt5 pkcs11-profiles-common pkcs11-profiles-rutokenecp
  pkg-config plymouth plymouth-plugin-script plymouth-scripts plzip pnm2ppa polkit poppler poppler-data powertop ppmtomd ppp ppp-pppoe printer-driver-ptouch
  printer-driver-splix printer-drivers-base psutils pulseaudio-daemon pulseaudio-utils pv python python-base python-dev python-module-OpenSSL
  python-module-Pillow python-module-PyQt4 python-module-PyQt5 python-module-Reportlab python-module-asn1crypto python-module-backports
  python-module-backports.ssl_match_hostname python-module-caja python-module-cffi python-module-chardet python-module-configobj python-module-cryptography
  python-module-dbus python-module-enum34 python-module-idna python-module-ipaddress python-module-ndg python-module-ndg-httpsclient python-module-ntlm
  python-module-numpy python-module-numpy-testing python-module-olefile python-module-py python-module-pycairo python-module-pycparser
  python-module-pygobject python-module-pygobject3 python-module-pytest python-module-pyxdg python-module-requests python-module-setproctitle
  python-module-setuptools python-module-sip python-module-six python-module-talloc python-module-urllib3 python-module-xlib python-modules
  python-modules-bsddb python-modules-compiler python-modules-ctypes python-modules-curses python-modules-email python-modules-encodings
  python-modules-hotshot python-modules-json python-modules-logging python-modules-multiprocessing python-modules-unittest python-modules-xml python-strict
  python-tools-2to3 python3 python3-base python3-module-chardet python3-module-cups python3-module-cupshelpers python3-module-dbus python3-module-py
  python3-module-pycairo python3-module-pygobject3 python3-module-pytest python3-module-setuptools python3-module-smbc python3-module-yieldfrom
  python3-module-yieldfrom.http python3-module-yieldfrom.http.client python3-module-yieldfrom.urllib3 qemu-aux qemu-guest-agent qt4-common
  qt4-mobility-common qt5-base-common qt5-connectivity-common qt5-declarative-common qt5-location-common qt5-multimedia-common qt5-quickcontrols
  qt5-quickcontrols2 qt5-quickcontrols2-common qt5-sensors-common qt5-serialport-common qt5-svg-common qt5-tools-common qt5-translations qt5-virtualkeyboard
  qt5-virtualkeyboard-common qt5-webchannel-common qt5-webengine-common qt5-webkit-common qt5-websockets-common qt5-x11extras-common qt5-xmlpatterns-common
  realmd recoll recoll-extras rfkill rootfiles rp-pppoe-base rp-pppoe-client rpcbind rpm-build-python3 rpm-macros-alterator rpm-macros-alternatives
  rpminstall rsync rzip samba samba-client samba-common samba-common-libs samba-common-tools samba-libs sane sash schedutils screen seahorse sed service
  sessreg setarch settime-rfc867 setup sfdisk sh shadow-change shadow-convert shadow-groups shadow-utils shared-mime-info shim-signed simplescreenrecorder
  smartmontools smtube spice-vdagent sssd sssd-ad sssd-client sssd-krb5-common sssd-pac star startup stmpclean strace strongswan su sudo syslog-common
  system-config-printer system-config-printer-lib system-config-printer-udev systemd systemd-analyze systemd-services systemd-sysvinit systemd-utils tar
  task-auth-ad-sssd tcb-utils tcl tcpdump tcsh terminfo termutils tesseract tesseract-langpack-ru thunderbird thunderbird-ru totem-video-thumbnailer tzdata
  udev udev-extras udev-hwdb udev-rule-generator udev-rule-generator-net udev-rules udisks2 unrar upower usbutils userpasswd util-linux util-linux-control
  uudeview vhttpd-utils vim-common vim-console vim-minimal vino-mate virtualbox-common virtualbox-guest-utils vixie-cron vlc vlc-mini vlc-plugin-ass
  vlc-plugin-bluray vlc-plugin-dbus vlc-plugin-dvdnav vlc-plugin-dvdread vlc-plugin-ffmpeg vlc-plugin-freetype vlc-plugin-globalhotkeys vlc-plugin-live555
  vlc-plugin-matroska vlc-plugin-mpeg2 vlc-plugin-ogg vlc-plugin-pulseaudio vlc-plugin-taglib vlc-plugin-v4l vlc-plugin-xcb vlc-plugin-xml vulkan-filesystem
  web-assets-filesystem wget wireless-tools wpa_supplicant x11-ssh-askpass x11presetdrv xar xauth xbiso xdg-user-dirs xdriinfo xf86dga xfsprogs xinetd xinit
  xinitrc xkbcomp xkeyboard-config xl2tpd xlsfonts xmessage xml-utils xmodmap xorg-dri-intel xorg-dri-nouveau xorg-dri-radeon xorg-dri-swrast
  xorg-drv-amdgpu xorg-drv-ati xorg-drv-cirrus xorg-drv-evdev xorg-drv-fbdev xorg-drv-intel xorg-drv-libinput xorg-drv-mach64 xorg-drv-nouveau xorg-drv-qxl
  xorg-drv-r128 xorg-drv-radeon xorg-drv-synaptics xorg-drv-vesa xorg-drv-vmmouse xorg-drv-vmware xorg-server xorg-server-common xorg-utils xprop xrandr
  xrdb xrefresh xsane xset xsetroot xsetup xsltproc xstdcmap xvinfo xxd xz yelp yelp-xsl zenity zlib zpaq zsh zstd
Следующие пакеты будут ЗАМЕНЕНЫ:
  LibreOffice-gnome (by LibreOffice-gtk3)  apt-conf-branch (by apt-conf-sisyphus)  ca-certificates-java (by ca-trust-java)  gnome-themes-standard (by
  gnome-themes-extra)  gnome-themes-standard-data (by gnome-themes-extra-data)  libImageMagick (by libImageMagick6.6)  libbrotlicommon0 (by libbrotlicommon)
   libbrotlidec0 (by libbrotlidec)  libbrotlienc0 (by libbrotlienc)  libp11-kit-trust (by p11-kit-trust)  lua5 (by lua5.1)  mate-document-viewer-libs (by
  libmate-document-viewer)  mate-netspeed (by mate-applets)  mate-panel-libs (by libmate-panel)  mate-text-editor-data (by mate-text-editor) 
  openssl-engine_pkcs11 (by libp11)  pulseaudio-bluez (by pulseaudio-daemon)  samba-client-libs (by samba-common-libs)  tzdata-java (by javazi) 
  vlc-interface-qt4 (by vlc-interface-qt)
Следующие пакеты будут УДАЛЕНЫ:
  gimagereader-qt4 libopencv2.4 lua5.1-alt-compat mate-file-manager-actions mintmenu python3-module-yieldfrom.requests virtualbox-guest-additions
  xorg-drv-nv xorg-drv-vboxvideo
Следующие НОВЫЕ пакеты будут установлены:
  LibreOffice-gtk3 NetworkManager-team apt-conf-sisyphus bash4 bashrc btrfs-progs bubblewrap ca-trust ca-trust-java ceres-solver cfdisk cgdisk chrpath cpp
  cpp8 firmware-wireless-regdb fixparts fuse-common gcc gcc-c++ gcc-c++-common gcc-fortran gcc-fortran-common gcc8 gcc8-c++ gcc8-fortran gdcm glibc
  glibc-devel glibc-kernheaders glibc-kernheaders-generic glibc-kernheaders-x86 gnome-themes-extra gnome-themes-extra-data guile guile22 hunspell-en_AU
  hunspell-en_CA hunspell-en_GB hunspell-en_US ibacm ispell-ru-lebedev-common javazi kernel-headers-common kpartx libCharLS libEGL-mesa libGLX libGLX-mesa
  libImageMagick6.6 libXpresent libaom libappindicator-gtk3 libargon2 libarpack-devel libasan5 libass9 libatomic1 libavcodec58 libavfilter7 libavformat58
  libavresample4 libavutil56 libbabl libblacs-devel libblockdev libblockdev-crypto libblockdev-fs libblockdev-loop libblockdev-mdraid libblockdev-part
  libblockdev-swap libblockdev-utils libboost_date_time1.67.0 libboost_filesystem1.67.0 libboost_iostreams1.67.0 libboost_locale1.67.0 libboost_system1.67.0
  libboost_thread1.67.0 libbrotlicommon libbrotlidec libbrotlienc libbs2b libbytesize libcephfs2 libcodec2 libcrypt libcrypt-devel libcrypto1.1
  libdbusmenu-gtk3 libdw libevent2.1 libexiv2 libgail3 libgc libgd3 libgegl libgexiv2 libgflags libgfortran5 libgfortran8-devel libglog libglusterfs3
  libglusterfs3-api libglvnd libgraphene libgtksourceview3 libgtksourceview3-gir libibumad libicu64 libimagequant libindicator-gtk3 libitm1 libjson-c4
  libkpathsea6 libldb-modules-dc liblilv liblmdb liblsan0 liblttng-ust liblua5.1-preinstall libmad libmate-document-viewer libmate-panel libmozjs60 libmpfr6
  libmpx2 libmspack libmultipath libmysqlclient21 libnetpbm11 libnl3-utils libnsl1 libnsl2 libnsl2-devel libnuma libnuma-devel libnumbertext libopencv3.4
  libpeas libpeas-gir libpeas-python-loader libpng16 libpoly2tri-c libpoppler86 libportaudio2 libpostproc55 libprotobuf17 libprotobuf17-lite libqpdf21
  libqt5-hunspellinputmethod libqt5-positioningquick libqt5-quickshapes libqt5-virtualkeyboard libquadmath8-devel librados2 libraw libsamplerate
  libscalapack-devel libserd libsidplay-builders0 libsidplay2_1 libsord libspiro libsratom libssh libssl1.1 libstdc++8-devel libswresample3 libswscale5
  libteam libteamdctl libtsan0 libtwolame libubsan1 libudfread libuserspace-rcu libva1 libvncclient0 libvolume_key libvpx5 libvpx6 libvte3 libvtv0 libwebrtc
  libx265-160 libxklavier-gir libxmlsec1-openssl libzeromq lightdm-aux look lua-lpeg lua-module-luaexpat lua-module-luajson lua5.1 lua5.3
  make-initrd-busybox mate-file-manager-archiver mathjax-stixweb-fonts mathjax-vector-fonts mdadm-tool multipath-tools openmpi-compat openmpi-devel
  openmpi-lib-compat openni p11-kit p11-kit-trust pblas-devel perl-Data-Dump perl-Filter perl-Term-ANSIColor perl-Try-Tiny python-module-PyQt4-sip
  python-module-PyQt5-sip python-module-apipkg python-module-atomicwrites python-module-attrs python-module-funcsigs python-module-iniconfig
  python-module-more-itertools python-module-pathlib2 python-module-pkg_resources python-module-pluggy python-module-scandir python-modules-distutils
  python-modules-nis python3-dev python3-module-OpenSSL python3-module-apipkg python3-module-asn1crypto python3-module-atomicwrites python3-module-attrs
  python3-module-cffi python3-module-cryptography python3-module-dns python3-module-idna python3-module-iniconfig python3-module-markdown
  python3-module-more-itertools python3-module-ndg python3-module-ndg-httpsclient python3-module-ntlm python3-module-pkg_resources python3-module-pluggy
  python3-module-pycparser python3-module-pyldb python3-module-requests python3-module-samba python3-module-six python3-module-talloc python3-module-tdb
  python3-module-urllib3 rdma-core rdma-core-devel samba-dc-libs samba-winbind samba-winbind-clients sh4 sysvinit-initramfs tdb-utils teamd
  tests-for-installed-python3-pkgs tinyxml udftools usbids vlc-interface-qt wordlist-common words zip
1327 будет обновлено, 270 новых установлено, 20 пакетов будет заменено, 9 пакетов будет удалено и 0 не будет обновлено.
Необходимо получить 0B/1198MB архивов.
После распаковки потребуется дополнительно 1073MB дискового пространства.
Продолжить? [Y/n] 
Совершаем изменения...  
Подготовка...                                      #################################################################################################### [100%]
        файл /usr/lib64/lua/5.1 из устанавливаемого пакета liblua5.1-5.1.5-alt15.x86_64 конфликтует с файлом из пакета lua5.1-alt-compat-1.0-alt1.x86_64
        файл /usr/share/lua/5.1 из устанавливаемого пакета liblua5.1-5.1.5-alt15.x86_64 конфликтует с файлом из пакета lua5.1-alt-compat-1.0-alt1.x86_64
E: Ошибка во время исполнения транзакции
Comment 27 Dmitry V. Levin 2019-04-23 10:56:13 MSK
(In reply to comment #25)
> Проверил ещё раз. При обновлнии:
> 
> Следующие пакеты будут УДАЛЕНЫ:
>   [...] lua5.1-alt-compat [...]
> 
> Обновление с p8 до Sisyphus для рабочей станции 8.2 проходит, конфликты только
> у Systemd и ConsoleKit, которые чинятся простым удалением ConsoleKit2
> 
> Обновлялся так:
> dist-upgrade до свежего p8
> правим sources.list на Sisyphus
> dist-upgrade до Sisyphus без промежуточной установки rpm.

Всё дело в том, обновлять сперва rpm до версии из Сизифа или нет.
rpm из p8 правильно обрабатывает "Conflicts: lua5.1-alt-compat < 1.0.1" в пакете liblua5.1-5.1.5-alt15, а вот rpm из Сизифа не справляется.

У нас была традиционная рекомендация при переходе на новый бранч сперва обновлять rpm и apt.  Видимо, эту традицию пора пересмотреть.
Comment 28 Anton Farygin 2019-04-23 10:57:15 MSK
Это какой-то косяк нового rpm, на старом этого нет:
Следующие пакеты будут УДАЛЕНЫ:
  gimagereader-qt4 libopencv2.4 lua5.1-alt-compat mate-file-manager-actions mintmenu python3-module-yieldfrom.requests virtualbox-guest-additions
  xorg-drv-nv xorg-drv-vboxvideo

Подготовка...                                      #################################################################################################### [100%]
        файл /usr/lib64/lua/5.1 из устанавливаемого пакета liblua5.1-5.1.5-alt15.x86_64 конфликтует с файлом из пакета lua5.1-alt-compat-1.0-alt1.x86_64
        файл /usr/share/lua/5.1 из устанавливаемого пакета liblua5.1-5.1.5-alt15.x86_64 конфликтует с файлом из пакета lua5.1-alt-compat-1.0-alt1.x86_64
E: Ошибка во время исполнения транзакции
Comment 29 Anton Farygin 2019-04-23 11:00:43 MSK
Мне кажется, что это осмысленно перевесить на новый rpm. Эта проблема может начать снова вылезать, когда Ваня поправит rpm в p8 на предмет корректной работы с новым типом disttag. Или наоборот, рассосётся.
Comment 30 Dmitry V. Levin 2019-04-23 11:06:58 MSK
(In reply to comment #28)
> Это какой-то косяк нового rpm, на старом этого нет:

Это не то чтобы был именно косяк нового rpm; насколько я понимаю, в нём это так сделано специально: rpm любой версии не умеет обрабатывать превращение ссылок на каталоги в полноценные каталоги, но новый rpm умеет это обнаруживать на ранней стадии, в результате чего %pre-скрипт пакета liblua5.1-5.1.5-alt15 в случае нового rpm нужно делать гораздо раньше.  Но если как-нибудь перенести этот скрипт в %pretrans, то старый rpm вообще не сможет его обработать.
Comment 31 Anton Farygin 2019-04-23 11:21:23 MSK
Проблема нового rpm не сколько в том, что он не распознал конфликты, а в том, что он определил конфликт с пакетом, который удаляется.

Обрати внимание - в списке на удаление есть lua5.1-alt-compat и именно с ним вылезает конфликт.

Старый rpm спокойно удаляет lua5.1-alt-compat и конфликт нивелируется сам собой.
Comment 32 Dmitry V. Levin 2019-04-23 11:29:33 MSK
(In reply to comment #31)
> Проблема нового rpm не сколько в том, что он не распознал конфликты, а в том,
> что он определил конфликт с пакетом, который удаляется.

Нет, это просто диагностика так странно выглядит.
На самом деле новый rpm распознал изменение, которое он не в состоянии самостоятельно обработать.

> Обрати внимание - в списке на удаление есть lua5.1-alt-compat и именно с ним
> вылезает конфликт.
> 
> Старый rpm спокойно удаляет lua5.1-alt-compat и конфликт нивелируется сам
> собой.

Старый rpm начинает удаление только потому, что не распознаёт проблему на этой стадии, а конфликт нивелируется не сам собой, а %pre-скриптом из пакета liblua5.1-5.1.5-alt15.
Comment 33 Anton Farygin 2019-04-23 11:30:55 MSK
Всё понял, спасибо.
Comment 34 Anton Farygin 2019-04-23 11:35:33 MSK
(В ответ на комментарий №30)
> (In reply to comment #28)
> > Это какой-то косяк нового rpm, на старом этого нет:
> 
> Это не то чтобы был именно косяк нового rpm; насколько я понимаю, в нём это так
> сделано специально: rpm любой версии не умеет обрабатывать превращение ссылок
> на каталоги в полноценные каталоги, но новый rpm умеет это обнаруживать на
> ранней стадии, в результате чего %pre-скрипт пакета liblua5.1-5.1.5-alt15 в
> случае нового rpm нужно делать гораздо раньше.  Но если как-нибудь перенести
> этот скрипт в %pretrans, то старый rpm вообще не сможет его обработать.

Это как раз не проблема, если следовать правилу - сначала обновлять rpm, потом всё остальное.
Comment 35 Dmitry V. Levin 2019-04-23 11:43:32 MSK
(In reply to comment #34)
> (В ответ на комментарий №30)
> > (In reply to comment #28)
> > > Это какой-то косяк нового rpm, на старом этого нет:
> > 
> > Это не то чтобы был именно косяк нового rpm; насколько я понимаю, в нём это так
> > сделано специально: rpm любой версии не умеет обрабатывать превращение ссылок
> > на каталоги в полноценные каталоги, но новый rpm умеет это обнаруживать на
> > ранней стадии, в результате чего %pre-скрипт пакета liblua5.1-5.1.5-alt15 в
> > случае нового rpm нужно делать гораздо раньше.  Но если как-нибудь перенести
> > этот скрипт в %pretrans, то старый rpm вообще не сможет его обработать.
> 
> Это как раз не проблема, если следовать правилу - сначала обновлять rpm, потом
> всё остальное.

Видимо, хак можно продублировать, чтобы он сработал и со старым rpm, и с новым.
Comment 36 viy 2019-04-23 22:28:27 MSK
(In reply to comment #35)
> > > этот скрипт в %pretrans, то старый rpm вообще не сможет его обработать.
> > Это как раз не проблема, если следовать правилу - сначала обновлять rpm, потом
> > всё остальное.
> 
> Видимо, хак можно продублировать, чтобы он сработал и со старым rpm, и с новым.

Не совсем понял. В rpm-build портировали поддержку %pretrans ?
Comment 37 Dmitry V. Levin 2019-04-23 22:44:58 MSK
(In reply to comment #36)
> Не совсем понял. В rpm-build портировали поддержку %pretrans ?

Нет.
Comment 38 Anton Farygin 2020-08-05 18:53:17 MSK
Мы уже давно не сталкивались с этой проблемой. Видимо, разрешилось как-то иначе.

Закрываем ?